-- name: [CS] Lego Mario
-- description: The plastic plumber himself.

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_LEGO_MARIO = smlua_model_util_get_id("lego_mario_geo")

local TEX_LEGO_MARIO_ICON = get_texture_info("lego-mario-icon")

local TEXT_MOD_NAME = "Lego Mario"

local PALETTE_LEGO_MARIO = {
    [PANTS]  = { r = 0x18, g = 0x45, b = 0xBD },
    [SHIRT]  = { r = 0x7D, g = 0x12, b = 0x0A },
    [GLOVES] = { r = 0xBD, g = 0xBD, b = 0xBD },
    [SHOES]  = { r = 0x39, g = 0x1D, b = 0x0A },
    [HAIR]   = { r = 0x39, g = 0x1D, b = 0x0A },
    [SKIN]   = { r = 0xB7, g = 0x9B, b = 0x82 },
    [CAP]    = { r = 0x7D, g = 0x12, b = 0x0A },
    [EMBLEM] = { r = 0x00, g = 0x00, b = 0x00 }
}

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Lego Mario", {"Everybody's favorite sleep paralysis demon"}, "CT Himself", {r = 125, g = 18, b = 10}, E_MODEL_LEGO_MARIO, CT_MARIO, TEX_LEGO_MARIO_ICON)
    _G.charSelect.character_add_palette_preset(E_MODEL_LEGO_MARIO, PALETTE_LEGO_MARIO)


else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end